Nuove patch per Zen

60 risposte [Ultimo messaggio]
Ritratto di ap1978
ap1978
(Guru)
Offline
Guru
Iscritto: 01/10/2004
Messaggi: 2972

Quote:

umountbrain ha scritto:
Mah: a me è sembrato nettamente più veloce. Hai abilitato anche altri cataloghi? Io ho abilitato solo quello degli update....probabilmente è questo....

Certo. Se si abilitano cataloghi come le sorgenti di installazione via ftp di SuSE, il refresh dura parecchio, perché il solo catalogo è di oltre 50 MB.

Ciao

ap Big Grin

Ritratto di ap1978
ap1978
(Guru)
Offline
Guru
Iscritto: 01/10/2004
Messaggi: 2972

Quote:

InDaClub ha scritto:
Anche se Zen è lungi dall'essere efficente , veloce e leggero dal suo ex-collega YOU ^^
Peccato.. mi ero illuso si sistemasse tutto con l'installazione delle patch... ma di fatto la lentezza , utilizzo CPU e tempistiche assurde per fare il check dai repository , ahimè, non è cambiato , o se è cambiato , è stato un cambiamento irrisorio....

Non è così irrisorio. Si sono ridotti significativamente i tempi di installazione e gestione dei pacchetti. Rimane lento l'aggiornamento dei cataloghi, ma questo dipende anche dalla loro dimensione consistente. Il confronto con le precedenti versioni di Yast deve essere fatto anche tenendo conto di questo.

Quote:

Bah... Chissà mai che con tutta questa critica non si decidano a RIFARLO o a RIMETTERE il suse-watcher...??????? Sarebbe piu veloce che buttar fuori 1000000 patch che sistemano 2-3 problemi per volta...

Le patch non sono ufficiali e risolvono parecchi, non 2 o 3, problemi di Zen/Yast/libzypp. Se riscontri altri bug, segnalali. E' l'unico modo di vederli risolti, altrimenti le lamentele sono fine a sé stesse.

Attualmente Zen è afflitto solo da un bug noto ancora, che è quello della lista delle patch che conserva alcuni elementi anche se già installati (V. dhcp).

Quote:

cmq... non spetta me decidere la modalità di miglioramento ... anche se oramai , vista la % di utenti che si lamentano, è OGGETTIVO che Zen sia un grosso buco nell'acqua :-o :-o :-o :-o :-o :-o :-o :-o :-o :-o

Non ne sono convinto. Se guardi il bugzilla di Novell o le mailing list, non trovi un'invasione di lamentele. C'è qualche discussione su Zen e sui problemi che ha, ma nulla di così eclatante da far pensare al buco nell'acqua.

Nell'immediato Zen da qualche fastidio, ma sul lungo periodo offrirà vantaggi impossibili con YOU quali la gestione dei diversi formati di repository, i cataloghi, il rollback del sistema e altro.

Ciao

ap Big Grin

Ritratto di InDaClub
InDaClub
(Monster)
Offline
Monster
Iscritto: 02/03/2005
Messaggi: 347

Quote:

Quote:

cmq... non spetta me decidere la modalità di miglioramento ... anche se oramai , vista la % di utenti che si lamentano, è OGGETTIVO che Zen sia un grosso buco nell'acqua :-o :-o :-o :-o :-o :-o :-o :-o :-o :-o

Non ne sono convinto. Se guardi il bugzilla di Novell o le mailing list, non trovi un'invasione di lamentele. C'è qualche discussione su Zen e sui problemi che ha, ma nulla di così eclatante da far pensare al buco nell'acqua.

Nell'immediato Zen da qualche fastidio, ma sul lungo periodo offrirà vantaggi impossibili con YOU quali la gestione dei diversi formati di repository, i cataloghi, il rollback del sistema e altro.

Ciao

mmmm ... per ora ( e nn vedo l'ora di vederlo onestamente) queste potenzialità o non so sfruttarle o non sono evidenti... rollback del sistema è una cosa interessante... la gestione dei repository... beh... per ora è a dir poco scandalosa... come hai scritto tu in risposta al mio post , hai detto che you notava solo le variazioni nei repositories , quindi , erano "check incrementali" ecco.. perchè nn farlo anche con Zen? :-P :-P :-P :-P :-P
e poi... sbaglio o zmd è un *.EXE? @_@ (orribile visu!!!!!!!!!!!!!!!!!!!!!!!!!!)... mi tolgono una cosa fenomenale integrata alla perfezione con YasT e mi mettono un obrobrio un .net con *.exe come packet manager ............... -.- -.- -.- lOl ..... la SuSE tedesca crea.. la Novell americana... distrugge?? bah... Ai posteri l'ardua sentenza!!!!
Cmq .. per quanto mi hai risposto inerentemente ai tempi di check dei repositories , se nn ricordo male (ora sono al lavoro non so darti la matematica certezza ) effettivamente io ho gli ftp e quindi efffettivamente se i cataloghi sono cosi grossi , risulta comprensibile la tempistica...
L'unica cosa che mi sembra ragionevole , ma che non è stata fatta , è la seguente... perkè nn "salvare" i repositories che nn subiscono modifiche nei pacchetti per dire "ok, questo repository è uguale a quello che ho checckato quale ora/giorno fa , lo salto ".

Tutte cose ragionevoli mi è parso di dire.... niente di fantascientiifico.. almeno credo...
Fatemi sapere se qualcuno la pensa come me o sono il solo Big Grin 8-) 8-) 8-) 8-) 8-)

Suae quisque fortunae faber est

Ritratto di ap1978
ap1978
(Guru)
Offline
Guru
Iscritto: 01/10/2004
Messaggi: 2972

Quote:

perchè nn farlo anche con Zen? :-P :-P :-P :-P :-P
e poi... sbaglio o zmd è un *.EXE? @_@ (orribile visu!!!!!!!!!!!!!!!!!!!!!!!!!!)... mi tolgono una cosa fenomenale integrata alla perfezione con YasT e mi mettono un obrobrio un .net con *.exe come packet manager ............... -.- -.- -.- lOl ..... la SuSE tedesca crea.. la Novell americana... distrugge?? bah... Ai posteri l'ardua sentenza!!!!

Non so se tecnicamente sia possibile un controllo incrementale dei cataloghi o meno. Ma continuo a ritenere giudizi come i tuoi affrettati e un po' polemici.
I problemi in Zen ci sono, è innegabile. Da quanto vedo, si stanno risolvendo. Attualmente l'unico che permane ed è fastidioso è la lentezza di Zen, che non è più presente in Yast. Mi sembra un buon risultato.

Quote:

Cmq .. per quanto mi hai risposto inerentemente ai tempi di check dei repositories , se nn ricordo male (ora sono al lavoro non so darti la matematica certezza ) effettivamente io ho gli ftp e quindi efffettivamente se i cataloghi sono cosi grossi , risulta comprensibile la tempistica...

Passa agli http, dove possibile. Sono da sempre più efficienti, anche quando si usava Yast nella 10.0. Se usi gwdg, usa ftp4.gwdg.de anziché ftp.gwdg.de.

Quote:

L'unica cosa che mi sembra ragionevole , ma che non è stata fatta , è la seguente... perkè nn "salvare" i repositories che nn subiscono modifiche nei pacchetti per dire "ok, questo repository è uguale a quello che ho checckato quale ora/giorno fa , lo salto ".

Vero. Non so per quale ragione non sia stato fatto.
Considera che rug e Zen sono ancora "in crescita". Ad esempio, le patch tramite delta RPM.

Ciao

ap Big Grin

Ritratto di ap1978
ap1978
(Guru)
Offline
Guru
Iscritto: 01/10/2004
Messaggi: 2972

Quote:

InDaClub ha scritto:
mmmmmmmm... installato tutto secondo la guida che hai postato ap1978... tutto corretto... trannne che mi ripropone sempre DHCP (noarch).. e anche se lo installo me lo ridà sempre....
C'è una soluzione ad ora oppure no? Big Grin :D

Thnx in anticipo per la gentilezza e consigli sempre saggi che dai !!!! Wink Wink Wink

Leggi fino in fondo le guide che posto. E' un problema segnalato da Andreas Jaeger Smile

Ciao

ap Big Grin

Ritratto di antwal
antwal
(Monster)
Offline
Monster
Iscritto: 24/07/2005
Messaggi: 260

Quote:

....

Rimane dopo queste patch un unico bug aperto in Zen, che visualizza a volte pacchetti duplicati. Presto sarà eliminato anche quello.

Ciao

io avevo lo stesso problema ma in Yast, avevo tutti duplicati sulla lista, poi ho efettuato un update su You e ora va bene, devo solo aggiornare:

Yast Utilities Library + Devel 2.11.7-0.3
KDE Base Library 3.4.0-20.11

che nn ho aggiornato.

Cmq io ho il Suse 9.3 + KDE 3.4

Novell Suse 9.1 Professional 32bit / 9.3 Professional 32bit
Novell Suse Enterprise Desktop 10 SP1 64bit
openSuSE 10.2 x86 / 64bit

Ritratto di xad64
xad64
(Junior)
Offline
Junior
Iscritto: 24/04/2006
Messaggi: 18

Non mi fa aggiungere il repository da voi indicato per fare l'aggioramento, forse lo hanno tolto o è cambiato??

Ciao
xad64

Ritratto di mimaggi
mimaggi
(Junior)
Offline
Junior
Iscritto: 24/11/2004
Messaggi: 22

Quote:

xad64 ha scritto:
Non mi fa aggiungere il repository da voi indicato per fare l'aggioramento, forse lo hanno tolto o è cambiato??

Ciao
xad64

Confermo non me lo fa aggiungere neanche a me

Ritratto di mimaggi
mimaggi
(Junior)
Offline
Junior
Iscritto: 24/11/2004
Messaggi: 22

sono riuscito in qualche modo ad a ggiornare il catalogo e in effetti ora mi da i pacchetti da aggiornare ma quando faccio l'update a controllo delle dipendenze mi da questo messaggio d'errore:
Establishing script:libzypp-patch-zmdrestart.sh-2-1533-1.noarch[20060610-191243]
This would invalidate script:libzypp-patch-zmdrestart.sh-2-1533-1.noarch[20060610-191243].
Marking this resolution attempt as invalid.
che devo fare?

Ritratto di ap1978
ap1978
(Guru)
Offline
Guru
Iscritto: 01/10/2004
Messaggi: 2972

Attenzione!

Le patch per Zen sono disponibili tramite YOU. Il repository addizionale non è più necessario.

Per installarle è sufficiente avviare manualmente Yast -> Software -> Aggiornamento in linea e installarle.

Ciao

ap Big Grin